nodes / certificates
8 operations.
GET /nodes/{node}/certificates
ts
proxmox.nodes.$(node).certificates.$get()Node index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/certificates/acme
ts
proxmox.nodes.$(node).certificates.acme.$get()ACME index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/certificates/acme/certificate
ts
proxmox.nodes.$(node).certificates.acme.certificate.$post()Order a new certificate from ACME-compatible CA.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force | boolean | Overwrite existing custom certificate. — default 0 | |
node | string | yes | The cluster node name. — format pve-node |
PUT /nodes/{node}/certificates/acme/certificate
ts
proxmox.nodes.$(node).certificates.acme.certificate.$put()Renew existing certificate from CA.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force | boolean | Force renewal even if expiry is more than 30 days away. — default 0 | |
node | string | yes | The cluster node name. — format pve-node |
DELETE /nodes/{node}/certificates/acme/certificate
ts
proxmox.nodes.$(node).certificates.acme.certificate.$delete()Revoke existing certificate from CA.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/certificates/custom
ts
proxmox.nodes.$(node).certificates.custom.$post()Upload or update custom certificate chain and key.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
certificates | string | yes | PEM encoded certificate (chain). — format pem-certificate-chain |
force | boolean | Overwrite existing custom or ACME certificate files. — default 0 | |
key | string | PEM encoded private key. — format pem-string | |
node | string | yes | The cluster node name. — format pve-node |
restart | boolean | Restart pveproxy. — default 0 |
DELETE /nodes/{node}/certificates/custom
ts
proxmox.nodes.$(node).certificates.custom.$delete()DELETE custom certificate chain and key.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
restart | boolean | Restart pveproxy. — default 0 |
GET /nodes/{node}/certificates/info
ts
proxmox.nodes.$(node).certificates.info.$get()Get information about node's certificates.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |